Bug 231154 - www/radicale2: no longer works due to py-dateutil version, update available
Summary: www/radicale2: no longer works due to py-dateutil version, update available
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on: 231156
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-04 15:44 UTC by ahktenzero+freebsd
Modified: 2018-09-23 05:09 UTC (History)
2 users (show)

See Also:
decke: maintainer-feedback+


Attachments
Update (893 bytes, patch)
2018-09-04 17:32 UTC, Nathan
no flags Details | Diff
Update (1.48 KB, patch)
2018-09-04 17:59 UTC, Nathan
ndowens: maintainer-approval? (decke)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ahktenzero+freebsd 2018-09-04 15:44:12 UTC
Radicale 2.1.9 depends on py-dateutil 2.6.1 but the version currently available in ports is 2.6.2 and it will not start if the dependency is not met. There's a newer release of Radicale available with updated dependencies and some other bugfixes but unfortunately the updated version also requires py-vobject 0.9.6 (current ports version is 0.9.5) so we'd need to get that updated first.

On my local ports I have updated both py-vobject and Radicale2 to the latest version and everything builds and runs OK so far. Looking at the changelog for Radicale there were no changes other than bumping the version number in setup.py to handle the dateutil version update so patching that is also an option.
Comment 1 Nathan 2018-09-04 17:32:22 UTC
Created attachment 196863 [details]
Update
Comment 2 Nathan 2018-09-04 17:59:24 UTC
Created attachment 196865 [details]
Update

Added minimum version
Comment 3 Bernhard Froehlich freebsd_committer 2018-09-11 15:30:26 UTC
The patch is okay. I have prepared a similar change [1] which also adds py-dateutil as dependency (more as a documentation) to document the required version. I am currently waiting for PR 231156 before I can commit it.

[1] https://code.bluelife.at/decke/ports/commit/a05b3a738b44c9c2ebb17241a32cecf9e33891d2
Comment 4 Bernhard Froehlich freebsd_committer 2018-09-23 05:09:13 UTC
Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2018-09-23 05:09:20 UTC
A commit references this bug:

Author: decke
Date: Sun Sep 23 05:08:21 UTC 2018
New revision: 480453
URL: https://svnweb.freebsd.org/changeset/ports/480453

Log:
  - Update to 2.1.10
  - Document required versions in dependecies

  This unbreaks the port after the last py-dateutil update

  PR:		231154
  Submitted by:	Nathan <ahktenzero+freebsd@mohorovi.cc>

Changes:
  head/www/radicale2/Makefile
  head/www/radicale2/distinfo